#!/bin/bash -e
cd "$(dirname "$0")"
. ../lib.sh

if ! [ -f win2k22.iso ] || ! [ -f virtio.iso ]; then
    ask_yn "win2k22.iso and/or virtio.iso not found, download?" \
        && bash ./download_isos.sh \
        || exit 1
fi

qemu-img create -f qcow2 hda.qcow2 40G

qemu "$@" \
    -drive file=win2k22.iso,media=cdrom,readonly=on \
    -drive  file=virtio.iso,media=cdrom,readonly=on \
    #-device usb-host,vendorid=0xffff,productid=0xffff
